---
obj: format
extension: "xml"
mime: "application/xml"
---

# XML
XML (Extensible Markup Language) is a markup language that is used to store and transport data. It was developed by the World Wide Web Consortium (W3C) and first released in 1998. XML is a flexible and customizable language, which allows developers to define their own tags and data structures.

## XML Syntax

XML documents are made up of elements, which are defined by a start tag, content, and an end tag. For example, here is a simple XML document:

```xml
<book>
  <title>The Great Gatsby</title>
  <author>F. Scott Fitzgerald</author>
  <year>1925</year>
</book>
```

In this example, `<book>`, `<title>`, `<author>`, and `<year>` are all XML elements. The content of each element is contained between the start and end tags.

XML elements can also have attributes, which provide additional information about the element. For example:

```xml
<book id="1234">
  <title>The Catcher in the Rye</title>
  <author>J.D. Salinger</author>
  <year>1951</year>
</book>
```

In this example, the `id` attribute is associated with the `book` element.