---
obj: format
mime: "text/plain"
extension: "ass"
rev: 2024-03-21
---

# Advanced SubStation Alpha (ASS) Subtitles
Ass Subtitles, also known as Advanced SubStation Alpha, is a popular subtitle file format primarily used for adding captions or subtitles to videos. It offers advanced features and flexibility compared to other subtitle formats like [SubRip](SubRip.md) (.srt).

## Features of Ass Subtitles
- **Rich Formatting**: Ass Subtitles support rich text formatting such as bold, italic, underline, font styles, colors, and alignment, allowing for enhanced visual presentation of subtitles.
- **Timing Control**: Subtitle timing can be precisely controlled with millisecond accuracy, enabling synchronization with video frames and audio cues.
- **Layering and Effects**: Ass Subtitles support multiple layers and various effects like fade in/out, karaoke effects, and blur, providing options for creating visually appealing subtitles.
- **Complex Script Support**: It supports complex scripts and languages, including bidirectional text, vertical writing, and Ruby text for languages like Japanese, making it suitable for a diverse range of content.
- **Metadata and Styling**: Metadata such as title, author, and comment can be embedded within the subtitle file. Additionally, styling parameters can be defined globally or per subtitle line, allowing for consistent styling and easy customization.

## Creating Ass Subtitles
Creating Ass Subtitles typically involves using specialized subtitle editing software such as Aegisub or Subtitle Workshop. These tools provide a user-friendly interface for creating and editing Ass Subtitles, offering features like timeline editing, real-time preview, and syntax highlighting.

Here's a basic example of Ass Subtitle syntax:
```ass
[Script Info]
; Script generated by Aegisub 3.2.2
; http://www.aegisub.org/
Title: Example Subtitles
ScriptType: v4.00+
WrapStyle: 0
ScaledBorderAndShadow: yes

[Aegisub Project Garbage]
Last Style Storage: Default

[V4+ Styles]
Format: Name, Fontname, Fontsize, PrimaryColour, SecondaryColour, OutlineColour, BackColour, Bold, Italic, Underline, StrikeOut, ScaleX, ScaleY, Spacing, Angle, BorderStyle, Outline, Shadow, Alignment, MarginL, MarginR, MarginV, Encoding
Style: Default,Arial,20,&H00FFFFFF,&H000000FF,&H00000000,&H80000000,-1,0,0,0,100,100,0,0,1,2,0,2,10,10,10,0

[Events]
Format: Layer, Start, End, Style, Name, MarginL, MarginR, MarginV, Effect, Text
Dialogue: 0,0:00:01.50,0:00:03.00,Default,,0,0,0,,{\i1}Hello{\i0}, World!
```
