---
obj: format
mime: "image/avif"
extension: "avif"
website: https://aomediacodec.github.io/av1-avif
---

# AVIF
AV1 Image File Format (AVIF) is an open, royalty-free image file format specification for storing images or image sequences compressed with AV1 in the HEIF container format. It competes with HEIC, which uses the same container format built upon ISOBMFF, but HEVC for compression. Version 1.0.0 of the AVIF specification was finalized in February 2019.

| Name                  | Value        |
| --------------------- | ------------ |
| Filename extension    | .avif        |
| [MIME](../../MIME.md) | `image/avif` |

## Features
The AV1 Image File Format supports:
- Multiple color spaces, including:
    - HDR (with PQ or HLG transfer functions and BT.2020 color primaries, as part of BT.2100)
    - SDR (with sRGB/ BT.709 / BT.601 or with wide color gamut)
    - Color space signaling via CICP (ITU-T H.273 and ISO/IEC 23091-2) or ICC profiles
- Lossless compression and lossy compression
- 8-, 10-, and 12-bit color depths
- Monochrome (alpha/depth) or multi-components
- 4:2:0, 4:2:2, 4:4:4 chroma subsampling and RGB
- Film grain synthesis
- Image sequences/animation

## Usage
`libavif` provides functions for working with AVIF images.

**Convert from AVIF:**
```shell
avifdec [INPUT] [OUTPUT]
```

**Get information**
```shell
avifdec --info [INPUT]
```

**Convert to AVIF**
```shell
avifenc [OPTIONS] [INPUT] [OUTPUT]
```

_Flags:_
```shell
-j, --jobs <NUM> Number of threads
-l, --lossless Lossless encoding
```
