---
obj: format
mime: "image/jxl"
website: ["https://jpeg.org/jpegxl", "https://jpegxl.info"]
wiki: https://en.wikipedia.org/wiki/JPEG_XL
extension: "jxl"
rev: 2024-03-07
---

# JPEG XL
JPEG XL is a modern, versatile image compression format designed to provide improved compression efficiency over existing formats like JPEG, while also offering additional features and capabilities. Developed by the Joint Photographic Experts Group (JPEG) as part of their ongoing efforts to advance image compression technology, JPEG XL promises to revolutionize the way we store and transmit images on the web and beyond.
Features

## Features
- **Lossless JPEG recompression**: Existing JPEG images can be converted to JPEG XL in a 100% reversible, lossless way. The resulting JPEG XL files will be about 20% smaller and can be converted back to the bit-exact original JPEG file. 
- **Visually lossless compression**: JPEG XL can reliably apply lossy compression in a way that avoids any visible compression artifacts, preserving fidelity while reducing the file sizes significantly compared to other image formats — e.g. 60% smaller than JPEG. 
- **HDR and Wide gamut**: Display technology is increasingly capable of reproducing rich colors with a high dynamic range. JPEG XL is specifically designed for high-precision colors, so your images can be preserved perfectly without any compromises. 
- **Fast**: Nobody likes to look at progress bars. JPEG XL was designed to be fast on the hardware of today. No special hardware is needed to save or load JPEG XL images in the blink of an eye. 
- **Progressive decode, minimal overhead**: JPEG XL has several features specifically for web delivery. It has sophisticated options for progressively rendering an image while it is loading, improving the user experience dramatically, regardless of network conditions. It has minimal header overhead and state-of-the-art compression also at web quality. 
- **Lossless**: Unlike its predecessor JPEG, JPEG XL also supports lossless compression. Pixels can be stored at high bit depths (up to 32-bit) and images can be saved faster than [PNG](PNG.md) while being 35% smaller. 
- **Superior compression**: At all the relevant fidelity targets, from web quality to lossless, JPEG XL offers the best available compression. Compressing with surgical precision, it is unmatched in terms of quality per byte. 
- **Layers and extra channels**: JPEG XL has several features aimed at image authoring workflows: it supports layers and can store additional channels like selection masks and spot colors. It also supports CMYK for use cases targeting printing. 
- **Future-proof**: The JPEG XL format was designed to last at least as long as its predecessor JPEG. It has no baked-in limitations regarding image dimensions or color precision, in order to be ready for not just the image technology of today, but also that of tomorrow. It can represent new kinds of image information like depth maps and thermal imaging, and has mechanisms to extend such functionality in the future in a way that can be deployed gradually.
- **Royalty-free**: Unlike some other modern formats, JPEG XL is not encumbered by patents nor does it require proprietary software. The reference software, `libjxl`, has a permissive open source license and is a production-ready library that can be (and already has been) integrated into a variety of image-related software. 

## libjxl
libjxl provides command-line tools for encoding and decoding images in the JXL format.

Show information about JXL images: `jxlinfo [-v] INPUT`

Encode: `cjxl [-q QUALITY] [-e EFFORT] INPUT OUTPUT`

Decode: `djxl INPUT OUTPUT`
