---
obj: format
mime: "image/png"
extension: "png"
---

# PNG
Portable Network Graphics (PNG) is a raster-graphics file format that supports lossless data compression. PNG was developed as an improved, non-patented replacement for Graphics Interchange Format (GIF) — unofficially, the initials PNG stood for the recursive acronym "PNG's not GIF".

PNG supports palette-based images (with palettes of 24-bit RGB or 32-bit RGBA colors), grayscale images (with or without an alpha channel for transparency), and full-color non-palette-based RGB or RGBA images. The PNG working group designed the format for transferring images on the Internet, not for professional-quality print graphics; therefore non-RGB color spaces such as CMYK are not supported. A PNG file contains a single image in an extensible structure of chunks, encoding the basic pixels and other information such as textual comments and integrity checks documented in RFC 2083.

PNG files use the file extension PNG or png and are assigned [MIME](../../MIME.md) media type image/png. PNG was published as informational RFC 2083 in March 1997 and as an ISO/IEC 15948 standard in 2004.

| Name                  | Value                     |
| --------------------- | ------------------------- |
| Extension             | .png                      |
| [MIME](../../MIME.md) | image/png                 |
| Magic Number          | `89 50 4e 47 0d 0a 1a 0a` |
