---
obj: format
mime: "image/webp"
extension: "webp"
wiki: https://en.wikipedia.org/wiki/WebP
website: https://developers.google.com/speed/webp
rev: 2024-03-03
---

# WebP
WebP is an image format developed by Google that provides both lossy and lossless compression for images on the web. It aims to offer smaller file sizes with comparable image quality to existing formats like JPEG and [PNG](PNG.md).

## Features
- **Lossy and Lossless Compression**: WebP supports both lossy and lossless compression. Lossy compression reduces file size by sacrificing some image quality, while lossless compression retains all image data without any loss in quality.
- **Transparency**: Like [PNG](PNG.md), WebP supports transparency (alpha channel) in images. This allows for the creation of images with transparent backgrounds, which is useful for logos, icons, and other graphics.
- **Animation**: WebP also supports animation, similar to GIF. This feature allows for the creation of lightweight animated images, which can be useful for banners, ads, and other web content.
- **Metadata**: WebP images can contain metadata such as color profile information, which helps maintain color accuracy across different devices and platforms.
- **Wide Browser Support**: Most modern web browsers support the WebP format, including Google Chrome, [Firefox](../../../applications/network/browsers/Firefox.md), Microsoft Edge, and Opera. However, support may vary in older or less popular browsers.
